Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface AssigneeListType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface AssigneeListType

extends XmlObject

An XML assigneeListType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `AssigneeListType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`AssigneeDefinitionType` | `addNewAssigneeDefinition()` Appends and returns a new empty value (as xml) as the last "assigneeDefinition" element
`AssigneeDefinitionType[]` | `getAssigneeDefinitionArray()` Gets array of all "assigneeDefinition" elements
`AssigneeDefinitionType` | `getAssigneeDefinitionArray(int i)` Gets ith "assigneeDefinition" element
`AssigneeDefinitionType` | `insertNewAssigneeDefinition(int i)` Inserts and returns a new empty value (as xml) as the ith "assigneeDefinition" element
`void` | `removeAssigneeDefinition(int i)` Removes the ith "assigneeDefinition" element
`void` | `setAssigneeDefinitionArray(AssigneeDefinitionType[] assigneeDefinitionArray)` Sets array of all "assigneeDefinition" element
`void` | `setAssigneeDefinitionArray(int i, AssigneeDefinitionType assigneeDefinition)` Sets ith "assigneeDefinition" element
`int` | `sizeOfAssigneeDefinitionArray()` Returns number of "assigneeDefinition" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getAssigneeDefinitionArray

    AssigneeDefinitionType[] getAssigneeDefinitionArray()

  Gets array of all "assigneeDefinition" elements

### getAssigneeDefinitionArray

    AssigneeDefinitionType getAssigneeDefinitionArray(int i)

  Gets ith "assigneeDefinition" element

### sizeOfAssigneeDefinitionArray

    int sizeOfAssigneeDefinitionArray()

  Returns number of "assigneeDefinition" element

### setAssigneeDefinitionArray

    void setAssigneeDefinitionArray(AssigneeDefinitionType[] assigneeDefinitionArray)

  Sets array of all "assigneeDefinition" element

### setAssigneeDefinitionArray

    void setAssigneeDefinitionArray(int i,
                                    AssigneeDefinitionType assigneeDefinition)

  Sets ith "assigneeDefinition" element

### insertNewAssigneeDefinition

    AssigneeDefinitionType insertNewAssigneeDefinition(int i)

  Inserts and returns a new empty value (as xml) as the ith "assigneeDefinition" element

### addNewAssigneeDefinition

    AssigneeDefinitionType addNewAssigneeDefinition()

  Appends and returns a new empty value (as xml) as the last "assigneeDefinition" element

### removeAssigneeDefinition

    void removeAssigneeDefinition(int i)

  Removes the ith "assigneeDefinition" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD